#ifndef UNITCONFIG_H
#define UNITCONFIG_H

//UnitConfig
//#include "Projectile.h"
#include "Trigger.h"
//#include "Node.h"

class UnitConfig //: public Node
{
	private:
		
		

	public:
		virtual Unit *get_UnitObject(){return &Unit();};//UnitObject;
		int cntype;

		//UnitConfig Get_UnitObject();
		//gets

		//sets

	
};


	//gets
/*
Unit UnitConfig::Get_UnitObject()
{
	return UnitObject;
}
*/


	//constutor


/*
//CharacterConfig
#include "character.h"
//#include "Node.h"

class CharacterConfig //: public Node
{
	private:
		
		
		
	public:
		Character CharacterObject;
		int cntype;
		
		//gets
		
		//sets
	
		//constutor
		CharacterConfig();
		//destutor
		~CharacterConfig();
};

*/
	//gets
/*
Character CharacterConfig::Get_CharacterObject()
{
	return CharacterObject;
}
*/

	//sets



	//constutor
/*
CharacterConfig::CharacterConfig()
{
	//CharacterObject = Character();
	
}
CharacterConfig::~CharacterConfig()
{
 
}
*/


#endif